StarWriterStruct::TOX Struct Reference documentation

StarWriterStruct::TOX Struct Reference

structure to store a TOX in a text zone More...

`#include <StarWriterStruct.hxx>`

## Classes
struct | Style
| a style More...

## Public Member Functions
| TOX ()
| constructor
| ~TOX ()
| destructor
bool | read (StarZone &zone, StarObject &object)
| try to read a TOX

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< TOX > &toxList, StarObject &object)
| try to read a list of TOX

## Public Attributes
int | m_type
| the type
int | m_createType
| the createType
int | m_captionDisplay
| the captionDisplay
int | m_stringIds [3]
| the string id, the seq string id, the sect string id
int | m_styleId
| the style id
int | m_data
| the number of data?
int | m_formFlags
| the format flags?
librevenge::RVNGString | m_title
| the title
librevenge::RVNGString | m_name
| the name
int | m_OLEOptions
| the ole options
std::vector< int > | m_stringIdList
| a list of template string ids
std::vector< Style > | m_styleList
| a list of style names?
long | m_titleLength
| the title length
std::vector< std::shared_ptr< StarFormatManagerInternal::FormatDef > > | m_formatList
| the format

## Friends
std::ostream & | operator<< (std::ostream &o, TOX const &tox)
| operator<<

## Detailed Description

structure to store a TOX in a text zone

## Constructor & Destructor Documentation

## ◆ TOX()

StarWriterStruct::TOX::TOX | ( |  | ) |
| inline

constructor

Referenced by operator<<, and readList().

## ◆ ~TOX()

StarWriterStruct::TOX::~TOX | ( |  | ) |

destructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::TOX::read | ( | StarZone & | zone,
|  | StarObject & | object )

try to read a TOX

Referenced by readList().

## ◆ readList()

bool StarWriterStruct::TOX::readList | ( | StarZone & | zone,
|  | std::vector< TOX > & | toxList,
|  | StarObject & | object )
| static

try to read a list of TOX

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TOX const & | tox )
| friend

operator<<

## Member Data Documentation

## ◆ m_captionDisplay

int StarWriterStruct::TOX::m_captionDisplay

the captionDisplay

Referenced by operator<<, read(), and TOX().

## ◆ m_createType

int StarWriterStruct::TOX::m_createType

the createType

Referenced by operator<<, read(), and TOX().

## ◆ m_data

int StarWriterStruct::TOX::m_data

the number of data?

Referenced by operator<<, read(), and TOX().

## ◆ m_formatList

std::vector<std::shared_ptr<StarFormatManagerInternal::FormatDef> > StarWriterStruct::TOX::m_formatList

the format

Referenced by operator<<, read(), and TOX().

## ◆ m_formFlags

int StarWriterStruct::TOX::m_formFlags

the format flags?

Referenced by operator<<, read(), and TOX().

## ◆ m_name

librevenge::RVNGString StarWriterStruct::TOX::m_name

the name

Referenced by operator<<, read(), and TOX().

## ◆ m_OLEOptions

int StarWriterStruct::TOX::m_OLEOptions

the ole options

Referenced by operator<<, read(), and TOX().

## ◆ m_stringIdList

std::vector<int> StarWriterStruct::TOX::m_stringIdList

a list of template string ids

Referenced by operator<<, read(), and TOX().

## ◆ m_stringIds

int StarWriterStruct::TOX::m_stringIds[3]

the string id, the seq string id, the sect string id

Referenced by operator<<, read(), and TOX().

## ◆ m_styleId

int StarWriterStruct::TOX::m_styleId

the style id

Referenced by operator<<, read(), and TOX().

## ◆ m_styleList

std::vector<Style> StarWriterStruct::TOX::m_styleList

a list of style names?

Referenced by operator<<, and TOX().

## ◆ m_title

librevenge::RVNGString StarWriterStruct::TOX::m_title

the title

Referenced by operator<<, read(), and TOX().

## ◆ m_titleLength

long StarWriterStruct::TOX::m_titleLength

the title length

Referenced by operator<<, read(), and TOX().

## ◆ m_type

int StarWriterStruct::TOX::m_type

the type

Referenced by operator<<, read(), and TOX().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx